<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Блог сайта</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css">
</head>

<body>
<header th:insert="blocks/header::header"></header>

<div class="container mt-5">

    <div th:each="element:${post}" class="alert alert-info mt-2">
        <h1 th:text="${element.title}"/>
        <p th:text="${element.full_text}"/>
        <p th:text="'Просмотров: '+${element.views}"/>
        <a th:href="'/blog/' + ${element.id}+'/edit'" class="btn btn-warning">Редактирование</a><br>
        <form th:action="'/blog/'+${element.id}+'/delete'" method="post"><br>
            <button class="btn btn-warning" type="submit">Удалить</button>
        </form>
    </div>
</div>


<div th:insert="blocks/footer::footer"></div>
</body>
</html>